Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.strategy
Class CycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.strategy.CycleException

All Implemented Interfaces:
  java.io.Serializable

    public class CycleException

extends PersistenceException

The `CycleException` is thrown when an invalid cycle is found when deserializing an object from an XML document. This usually indicates the either the XML has been edited incorrectly or has been corrupted. Conditions that this exception is thrown are when there is an invalid reference or a duplicate identifier.

Author:
  Niall Gallagher
See Also:
  `CycleStrategy`, Serialized Form

Constructor Summary
`CycleException(java.lang.String text, java.lang.Object... list)` Constructor for the `CycleException` object.
`CycleException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `CycleException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CycleException

    public CycleException(java.lang.String text,
                          java.lang.Object... list)

  Constructor for the `CycleException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### CycleException

    public CycleException(java.lang.Throwable cause,
                          java.lang.String text,
                          java.lang.Object... list)

  Constructor for the `CycleException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD